<CommandMethod("test2")> _
Public Sub test2()
Dim editor As Autodesk.AutoCAD.EditorInput.Editor = acApp.Application.DocumentManager.MdiActiveDocument.Editor()
Dim sheetSetDatabase As AcSmDatabase = GetSSDB2(editor)
If sheetSetDatabase IsNot Nothing Then
Dim pKeyOpts As acEdInp.PromptKeywordOptions = New acEdInp.PromptKeywordOptions(vbLf & "Имя свойства: ")
pKeyOpts.AppendKeywordsToMessage = True
pKeyOpts.AllowArbitraryInput = True
Dim kList As List(Of String) = GetCPNameList(sheetSetDatabase.GetSheetSet.GetCustomPropertyBag)
kList.ForEach(Sub(obj) pKeyOpts.Keywords.Add("""" & obj & "1""", """" & obj & "2""", """" & obj & "3"""))
Dim PrRes As acEdInp.PromptResult = editor.GetKeywords(pKeyOpts)
If PrRes.Status = acEdInp.PromptStatus.OK Then
Dim PropertyName As String = PrRes.StringResult
If PropertyName <> "" Then
editor.WriteMessage("Value: " & PropertyName)
End If
End If
' fSubSetSetCP(sheetSetDatabase, sheetSetDatabase.GetSheetSet().GetSheetEnumerator, "", "")
End If
End Sub